summaryrefslogtreecommitdiff
path: root/examples/redis-unstable/runtest
diff options
context:
space:
mode:
Diffstat (limited to 'examples/redis-unstable/runtest')
-rwxr-xr-xexamples/redis-unstable/runtest14
1 files changed, 14 insertions, 0 deletions
diff --git a/examples/redis-unstable/runtest b/examples/redis-unstable/runtest
new file mode 100755
index 0000000..88617c1
--- /dev/null
+++ b/examples/redis-unstable/runtest
@@ -0,0 +1,14 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6 8.7"
+TCLSH=""
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis test"
+ exit 1
+fi
+$TCLSH tests/test_helper.tcl "${@}"